Sync History

Sync History
Get sync history

Get history for files synced via source control sync

Request
URI
GET
https://{vcfa-fqdn}/content/api/sourcecontrol/sync-history
COPY
Query Parameters
pageRequest
Required

pageRequest

string
apiVersion
Optional

The version of the API in yyyy-MM-dd format (UTC). For versioning information, please refer to /content/api/about

integer
page
Optional

Page you want to retrieve (1..N)

page example
1
integer
size
Optional

Number of records per page

size example
10

Authentication
This operation uses the following authentication methods.
Responses
200

Sync history

Returns SourceControlSyncHistory of type(s) application/json
{
    "content": [
        {
            "id": "string",
            "requestId": "string",
            "contentName": "string",
            "contentFullPath": "string",
            "contentType": "string",
            "sourceId": "string",
            "integrationId": "string",
            "projectId": "string",
            "projectName": "string",
            "timestamp": "string",
            "status": "string",
            "details": [
                "string"
            ]
        }
    ],
    "page": {
        "size": 0,
        "totalElements": 0,
        "totalPages": 0,
        "number": 0
    },
    "links": [
        {
            "href": "string",
            "rel": "string"
        }
    ]
}
array of object
content
Optional

content

object
page
Optional

page

array of object
links
Optional

links


401

Unauthorized

Returns SourceControlSyncHistory of type(s) application/json
{
    "content": [
        {
            "id": "string",
            "requestId": "string",
            "contentName": "string",
            "contentFullPath": "string",
            "contentType": "string",
            "sourceId": "string",
            "integrationId": "string",
            "projectId": "string",
            "projectName": "string",
            "timestamp": "string",
            "status": "string",
            "details": [
                "string"
            ]
        }
    ],
    "page": {
        "size": 0,
        "totalElements": 0,
        "totalPages": 0,
        "number": 0
    },
    "links": [
        {
            "href": "string",
            "rel": "string"
        }
    ]
}
array of object
content
Optional

content

object
page
Optional

page

array of object
links
Optional

links


403

Forbidden

Returns SourceControlSyncHistory of type(s) application/json
"SourceControlSyncHistory Object"
array of object
content
Optional

content

object
page
Optional

page

array of object
links
Optional

links


404

Not Found

Returns SourceControlSyncHistory of type(s) application/json
"SourceControlSyncHistory Object"
array of object
content
Optional

content

object
page
Optional

page

array of object
links
Optional

links


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/content/api/sourcecontrol/sync-history?request=value&pageRequest=v